package com.yidian.shenghuoquan.bpush.push.mipush

import android.app.ActivityManager
import android.content.Context
import android.os.Process
import com.xiaomi.mipush.sdk.MiPushClient
import com.yidian.shenghuoquan.bpush.app.BPushApplication
import com.yidian.shenghuoquan.bpush.push.PushPolicy

class MiPushPolicy: PushPolicy {
  companion object {
    const val appId = ""
    const val appkey = ""
    const val packageName = ""
  }
  override fun initPushSdk() {
    if (shouldInit()) {
      MiPushClient.registerPush(BPushApplication.context, appId, appkey)
    }
  }

  override fun pubMessage(message: String) {
    TODO("Not yet implemented")
  }

  private fun shouldInit(): Boolean {
    val am = BPushApplication.context.getSystemService(Context.ACTIVITY_SERVICE) as ActivityManager
    val processInfos = am.runningAppProcesses
    val mainProcessName: String = BPushApplication.context.getPackageName()
    val myPid = Process.myPid()
    for (info in processInfos) {
      if (info.pid == myPid && mainProcessName == info.processName) {
        return true
      }
    }
    return false
  }
}
